> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Officers for a Business

> Obtains a list of officers and their relationships to the parent business.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Business/Officers
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Business/Officers:
    get:
      tags:
        - Business
      summary: Gets the officers for this Business
      operationId: Business_GetOfficers
      parameters:
        - name: id
          in: query
          description: Business Id
          required: false
          schema:
            format: int32
            type: integer
        - name: CustomerId
          in: query
          description: >-
            If you are a Trade Provider you can use your CustomerId to idenfity
            a Business with the CustomerId parameter.
          required: false
          schema:
            type: string
        - name: SupplierId
          in: query
          description: >-
            If you have a Supplier List you can use your SupplierId to identify
            a Business with the SupplierId parameter.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessOfficerCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessOfficerCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessOfficerCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessOfficerCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIBusinessOfficerCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APIBusinessOfficerCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APIBusinessOfficer'
        ErrorCode:
          description: ''
          type: string
    APIBusinessOfficer:
      type: object
      properties:
        FirstName:
          description: Officers First Name
          type: string
        MiddleInitial:
          description: Officers Middle Initial
          type: string
        LastName:
          description: Officers Last Name
          type: string
        Age:
          format: int32
          description: Officers Age
          type: integer
        Title:
          description: Officers Title
          type: string
        DateOfTitle:
          format: date-time
          description: Date Officer recieved the Title
          type: string
        DateOfHire:
          format: date-time
          description: Date of Officers hire
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````